Foxit PDF SDK

Instance Methods | Properties | List of all members
FSLayerPrintData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithData:
| Constructor, with another layer print data object. More...
(id) | - initWithSubtype:print_state:
| Constructor, with parameters. More...
(void) | - set:print_state:
| Set value. More...

## Properties
FSLayerTreeUsageState | print_state
| Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application. More...
NSString * | subtype
| A string that specifies the kind of content controlled by a layer.

## Detailed Description

This class represents data for PDF layer printing usage.

## Method Documentation

## ◆ initWithData:()

- (id) initWithData: |  | (FSLayerPrintData*) | data |

Constructor, with another layer print data object.

Parameters

  [in] | data | Another layer print data object.

## ◆ initWithSubtype:print_state:()

- (id) initWithSubtype: |  | (NSString *) | subtype
print_state: |  | (FSLayerTreeUsageState) | print_state

Constructor, with parameters.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from FSLayerTreeStateON and this should be one of these values except FSLayerTreeStateUnchanged.

## ◆ set:print_state:()

- (void) set: |  | (NSString *) | subtype
print_state: |  | (FSLayerTreeUsageState) | print_state

Set value.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from FSLayerTreeStateON and this should be one of these values except FSLayerTreeStateUnchanged.

Returns
  None.

## Property Documentation

## ◆ print_state

- (FSLayerTreeUsageState) print_state
| read write nonatomic assign

Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Please refer to values starting from FSLayerTreeStateON and this should be one of these values except FSLayerTreeStateUnchanged.